﻿using Modèle;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1
{
    /// <summary>
    /// Logique d'interaction pour userControlDescription.xaml
    /// </summary>
    public partial class userControlDescription : UserControl
    {
        public userControlDescription()
        {
            InitializeComponent();
        }

        private void exit_Click(object sender, RoutedEventArgs e)
        {
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapAcc();
        }

        private void edit_Click(object sender, RoutedEventArgs e)
        {
            ((MainWindow)System.Windows.Application.Current.MainWindow).ContentControlSwapEdit();
        }


        public Requin requin { get; set; }

        public void UpdateUI(Requin requin)
        {
            nameReq.Text = requin.Nom;
            sciName.Text = requin.NomSci;
            desc.Text = requin.Description;
            vid.Source = new Uri(requin.Video);
            photo.Source = new BitmapImage(new Uri(requin.Photo, UriKind.Relative));
            funFact.Text = requin.FunFact;
            switch (requin.StatutCons)
            {
                case Conservation.EX:
                    break;
                case Conservation.EW:
                    break;
                case Conservation.CR:
                    break;
                case Conservation.EN:
                    consPic.Source= new BitmapImage(new Uri("En-danger.png", UriKind.Relative));
                    break;
                case Conservation.VU:
                    break;
                case Conservation.NT:
                    break;
                case Conservation.LC:
                    break;
                case Conservation.DD:
                    break;
                case Conservation.NE:
                    break;

            }
        }
    }
}
